Uploaded image for project: 'Commons BeanUtils'
  1. Commons BeanUtils
  2. BEANUTILS-418

OSGi Manifest for BeanUtils should optionally import commons-collections

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: 1.8.3
    • Fix Version/s: 2.0.0
    • Component/s: Bean / Property Utils
    • Labels:
      None
    • Environment:

      Any OSGi environment

      Description

      The docs for BeanUtils clearly state that commons-collections is an optional dependency, but when using Beanutils in OSGi this dependency is actually required. This is due to the fact that the manifest requires the commons-collection packages rather than optionally requires them.

      Please change the import-package header to optionally import the commons collection classes.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                mattbishop Matt Bishop
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated: